Package org.bukkit

# Enum Class Raid.RaidStatus

java.lang.Object
java.lang.Enum<Raid.RaidStatus>
org.bukkit.Raid.RaidStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<Raid.RaidStatus>`, `Constable`

Enclosing interface:
  Raid

public static enum Raid.RaidStatus extends Enum<Raid.RaidStatus>
Represents the status of a `Raid`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOSS`
The village has fallen (i.e.
`ONGOING`
The raid is in progress.
`STOPPED`
The raid was terminated.
`VICTORY`
The raid was beaten by heroes.

## Method Summary

Modifier and Type
Method
Description
`static Raid.RaidStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Raid.RaidStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ONGOING

public static final Raid.RaidStatus ONGOING
The raid is in progress.

### VICTORY

public static final Raid.RaidStatus VICTORY
The raid was beaten by heroes.

### LOSS

public static final Raid.RaidStatus LOSS
The village has fallen (i.e. all villagers died).

### STOPPED

public static final Raid.RaidStatus STOPPED
The raid was terminated.

## Method Details

### values

public static Raid.RaidStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Raid.RaidStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null